Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Rohr in Bogen einzapfen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Rohr in Bogen einzapfen (1243 mal gelesen)
bixi1973
Mitglied
techn. angestellter


Sehen Sie sich das Profil von bixi1973 an!   Senden Sie eine Private Message an bixi1973  Schreiben Sie einen Gästebucheintrag für bixi1973

Beiträge: 72
Registriert: 07.09.2011

Windows 7 64 bit
Windows 7 32 bit
ACAD 2013
ACAD Mep 2013

erstellt am: 03. Apr. 2015 07:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Forumspezialisten.

Ich habe wieder mal eine Frage zu einen Lisp.
Vielleicht kann mir da ja wer weiter helfen, das wäre schön.

Ich habe im Anhang einen Lispcode für Rohr in Rohr Einzapfung beigelegt, die ein ehemaliger Kollege von mir gemacht hat.
Diese Funktioniert aber NUR für Rohr in Rohr in verschiedenen Dimensionen und Lagen.

Vielleicht kann man dieses ja umschreiben damit ich ein Rohr in einen Bogen einzapfen kann.
Wichtig dabei ist, dass folgende Eingaben möglich sind:
Aussen-Durchmesser des Bogens
Bogenradius
Rohrdurchmesser
Einmündungswinkel
Achsabstand
Länge der Einzapfung
Teilung in Grad

Bestehender LISP-Code:

(defun c:T ()
(setq d (getdist "Durchm. Hauptrohr: "))
(setq e (getdist "Durchm. Einzapfung: "))
(setq w (getreal "Einmndungswinkel: "))
(setq a (getdist "Achsenabstand: "))
(setq l (getdist "L„nge d. Einzapfung: "))
(setq z (getint "Teilung in Grad: "))
(setq anz (/ 360 z))
(setq w1 (* w 0.01745329252))
(setq z1 (* z 0.01745329252))
(setq q1 (- 0 z1))
(repeat anz
(setq q1 (+ q1 z1))
(setq q2 (+ q1 z1))
(setq r (* (/ e 2 ) (sin q1)))
(setq s (* (/ e 2 ) (cos q1)))
(setq t (sqrt (- (expt (/ d 2) 2) (expt (- a r) 2))))
(setq u (/ t (cos w1)))
(setq hilfe (- 1.570796 w1))
(setq hilfe (/ (sin hilfe) (cos hilfe)))
(setq v (/ s hilfe))
(setq y (- u v))
(setq b1 (- l y))
(setq umf1 (* e q1))
(setq umf1 (/ umf1 2))
(setq r (* (/ e 2) (sin q2)))
(setq s (* (/ e 2) (cos q2)))
(setq t (sqrt (- (expt (/ d 2) 2) (expt (- a r) 2))))
(setq u (/ t (cos w1)))
(setq hilfe (- 1.570796 w1))
(setq hilfe (/ (sin hilfe) (cos hilfe)))
(setq v (/ s hilfe))
(setq y (- u v))
(setq b2 (- l y))
(setq umf2 (* e q2))
(setq umf2 (/ umf2 2))
(setq pt1 (list umf1 0))
(setq pt2 (list umf1 b1))
(setq pt3 (list umf2 0))
(setq pt4 (list umf2 b2))
(command "linie" pt1 pt2 pt4 pt3 "s")
)
(command "zoom" "g")
)

Mit freundlichen Grüßen
Karl

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bixi1973
Mitglied
techn. angestellter


Sehen Sie sich das Profil von bixi1973 an!   Senden Sie eine Private Message an bixi1973  Schreiben Sie einen Gästebucheintrag für bixi1973

Beiträge: 72
Registriert: 07.09.2011

Windows 7 64 bit
Windows 7 32 bit
ACAD 2013
ACAD Mep 2013

erstellt am: 15. Apr. 2015 21:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Forumgemeinde,

Hat keiner eine idee um mir helfen zu können?
Wäre echt toll wenn mir da jemand weiter helfen könnte.
Lg Karl

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1137
Registriert: 11.01.2006

WIN 10
ACAD 2017

erstellt am: 16. Apr. 2015 08:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bixi1973 10 Unities + Antwort hilfreich

Hallo Karl,
ich hab mir das mal angeschaut muss aber sagen dass ich aus dem Elektrotechnik-Bereich komme und mit sowas eigentlich nix tu tun hab.

Aber mal zu deinem Problem:
Wo genau am Bogen soll denn das Rohr anschließen ??? Nur auf dem "äußeren" Radius oder auch sonst irgendwo ?
Vielleicht ist es einfacher das Gebilde 3D zu konstruieren und dann abzuwickeln.
Software zum Abwickeln hab ich schon mal gesehen.

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bixi1973
Mitglied
techn. angestellter


Sehen Sie sich das Profil von bixi1973 an!   Senden Sie eine Private Message an bixi1973  Schreiben Sie einen Gästebucheintrag für bixi1973

Beiträge: 72
Registriert: 07.09.2011

Windows 7 64 bit
Windows 7 32 bit
ACAD 2013
ACAD Mep 2013

erstellt am: 20. Apr. 2015 23:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Andreas.
Das Rohr sollte nur am äusseren Radius angesetzt werden.

Vielleicht gibts ja doch eine lösung mit lisp, ohne das ganze zu konstruieren, da ich kein Programm für die Abwicklungserstellung habe und das des öfteren benötige.

Wäre schön wenn du mir weiter helfen könntest.

Lg Karl

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

WINDOWS Vista Ultimate SP2 (64bit), NVIDIA Geforce 9600M GT, AutoCAD 2013.

erstellt am: 21. Apr. 2015 07:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bixi1973 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von bixi1973:

Aussen-Durchmesser des Bogens
Bogenradius
Rohrdurchmesser
Einmündungswinkel
Achsabstand
Länge der Einzapfung

Mach mal dazu eine Skizze, welcher Wert was ist.

Außerdem fehlt noch eine Information, ob die Achse der Einzapfung immer in der Ebene des Rohrbogens liegt oder auch zu dieser Ebene geneigt sein kann/soll.

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bixi1973
Mitglied
techn. angestellter


Sehen Sie sich das Profil von bixi1973 an!   Senden Sie eine Private Message an bixi1973  Schreiben Sie einen Gästebucheintrag für bixi1973

Beiträge: 72
Registriert: 07.09.2011

Windows 7 64 bit
Windows 7 32 bit
ACAD 2013
ACAD Mep 2013

erstellt am: 27. Apr. 2015 13:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Bogeneinzapfung.dwg

 
Hallo Lisp Spezialisten!

Vielen dank erst mal, dass ihr euch meiner Frage angenommen habt.

Anbei habe ich euch eine Skizze beigelegt für mein Anfrage an euch.

Mit den Angaben zu folgenden Eingabemöglichkeiten die ich dazu benötige.
Aussen-Durchmesser des Bogens
Bogenradius
Rohrdurchmesser
Einmündungswinkel
Länge der Einzapfung

Die Abwicklung wird nur für das Rohr benötigt.

Achsabstand wird in diesem Fall doch nicht benötigt.

Vielleicht könnt ihr mir weiter helfen.

LG Karl

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4131
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 27. Apr. 2015 13:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bixi1973 10 Unities + Antwort hilfreich

... weißt du denn, wie man das händisch konstruieren würde?

Grüße!
Holger

------------------
Holger Brischke
CAD on demand GmbH
Individuelle Lösungen von Heute auf Morgen.


defun-tools Das Download-Portal für AutoCAD-Zusatzprogramme!


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

WINDOWS Vista Ultimate SP2 (64bit), NVIDIA Geforce 9600M GT, AutoCAD 2013.

erstellt am: 27. Apr. 2015 13:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bixi1973 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von bixi1973:

Anbei habe ich euch eine Skizze beigelegt für mein Anfrage an euch.

Kurze Rück(versicherungs)frage:
Einmündungswinkel gibt es nur die beiden gezeigten Situationen 90° und 45°, oder?

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bixi1973
Mitglied
techn. angestellter


Sehen Sie sich das Profil von bixi1973 an!   Senden Sie eine Private Message an bixi1973  Schreiben Sie einen Gästebucheintrag für bixi1973

Beiträge: 72
Registriert: 07.09.2011

Windows 7 64 bit
Windows 7 32 bit
ACAD 2013
ACAD Mep 2013

erstellt am: 27. Apr. 2015 14:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Jupa!

Leider sollte man dies Stufenlos von 45° bis 90° einstellen können.

Ist das überhaupt möglich?

LG Karl

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bixi1973
Mitglied
techn. angestellter


Sehen Sie sich das Profil von bixi1973 an!   Senden Sie eine Private Message an bixi1973  Schreiben Sie einen Gästebucheintrag für bixi1973

Beiträge: 72
Registriert: 07.09.2011

Windows 7 64 bit
Windows 7 32 bit
ACAD 2013
ACAD Mep 2013

erstellt am: 27. Apr. 2015 14:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Holger!

Ich weiß schon wie man das händisch konstruiert, hatte ich auch schon mehrmals gemacht.
Denke dass das mit einer Lisp einfacher wäre, wie die T-Einzapfung die ich schon habe.

LG KArl

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4131
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 27. Apr. 2015 14:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bixi1973 10 Unities + Antwort hilfreich

... dann musst du das, was du händisch machst, als Code abbilden.

Besser, so habe ich das mit c#.Net gemacht, du zeichnet die 3d-Bauteile (zumindest den Bogen). Das Rohr bildest du einen Satz von Linien ab, von denen du den Schnittpunkt mit dem 3D-Bogen berechnest. Die Längen der so gekürzten Linien kannst du ja dann im 2D abtragen und im Ergebnis hast du die Schnittkurve.
Ich denke, das ist mit weniger mathematischem und programmier- Aufwand zu realisieren.

Grüße!
Holger

------------------
Holger Brischke
CAD on demand GmbH
Individuelle Lösungen von Heute auf Morgen.


defun-tools Das Download-Portal für AutoCAD-Zusatzprogramme!


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

WINDOWS Vista Ultimate SP2 (64bit), NVIDIA Geforce 9600M GT, AutoCAD 2013.

erstellt am: 27. Apr. 2015 14:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bixi1973 10 Unities + Antwort hilfreich


150426-Bogeneinzapfung-pa.dwg

 
Zitat:
Original erstellt von bixi1973:

Leider sollte man dies Stufenlos von 45° bis 90° einstellen können.

dann muß aber auch noch ein Maß für den Abstand vom Mittelpunkt der Bogenkrümmung bis zur Achse des Rohrzapfens angegeben werden, gell? Hier hast Du ja nur zwei Sonderfälle skizziert ...


Ist das überhaupt möglich?

Möglich bestimmt, aber nicht gerade trivial.

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

WINDOWS Vista Ultimate SP2 (64bit), NVIDIA Geforce 9600M GT, AutoCAD 2013.

erstellt am: 27. Apr. 2015 14:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bixi1973 10 Unities + Antwort hilfreich

Und noch was: Das von Dir angegebene Maß "Länge der Einzapfung" als Eingangsgröße für die Konstruktion verwenden zu wollen erachte ich auch für fraglich. Das ergibt sich doch erst während der Konstruktion/Berechnung. Besser wäre ein Maß bis zu einem bereits gegebenen "Fixpunkt" (beim T-Stück war es z.B. das Maß bis zur Mittelachse des größeren Rohres).
Überdenke noch mal die Aufgabenstellung ...

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bixi1973
Mitglied
techn. angestellter


Sehen Sie sich das Profil von bixi1973 an!   Senden Sie eine Private Message an bixi1973  Schreiben Sie einen Gästebucheintrag für bixi1973

Beiträge: 72
Registriert: 07.09.2011

Windows 7 64 bit
Windows 7 32 bit
ACAD 2013
ACAD Mep 2013

erstellt am: 27. Apr. 2015 14:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Jürgen!

Tut mir leid, da hatte ich einen Gedankenfehler.

Diese Möglichkeit benötige ich nicht.
Da genügt nur 45° und 90°.

LG Karl

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bixi1973
Mitglied
techn. angestellter


Sehen Sie sich das Profil von bixi1973 an!   Senden Sie eine Private Message an bixi1973  Schreiben Sie einen Gästebucheintrag für bixi1973

Beiträge: 72
Registriert: 07.09.2011

Windows 7 64 bit
Windows 7 32 bit
ACAD 2013
ACAD Mep 2013

erstellt am: 27. Apr. 2015 17:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Jürgen!

Was die Länge der Einzapfung angeht, benötige ich nur, dass die gesamte Abwicklung am Bildschirm angezeigt wird, da ansonsten ein Teil der Einzapfung fehlt.
Ich plotte diese Abwicklung aus und wickle sie um das Rohr.
Danach wird die Abwicklung am Rohr nachgezeichnet um das Rohr genau schneiden zu können.
Die Länge bis zu einem anderen Formstück ist mir hier nicht wichtig, da ich das nur zum Einpassen der Rohrleitung in den Bogen benötige.
So führe ich das bei meinen T-Einzapfungen Rohr in Rohr auch durch.
Das funktioniert echt gut so.

LG Karl

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

scj
Mitglied
 


Sehen Sie sich das Profil von scj an!   Senden Sie eine Private Message an scj  Schreiben Sie einen Gästebucheintrag für scj

Beiträge: 547
Registriert: 09.08.2001

erstellt am: 28. Apr. 2015 13:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bixi1973 10 Unities + Antwort hilfreich

Kann das vielleicht KED?
www.KED.de
Beste Grüße
Jochen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

archtools
Mitglied



Sehen Sie sich das Profil von archtools an!   Senden Sie eine Private Message an archtools  Schreiben Sie einen Gästebucheintrag für archtools

Beiträge: 687
Registriert: 09.10.2004

Entwickler für AutoCAD, BricsCAD u.a., alle Systeme

erstellt am: 28. Apr. 2015 20:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bixi1973 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von bixi1973:
Hallo Holger!

Ich weiß schon wie man das händisch konstruiert, hatte ich auch schon mehrmals gemacht.
Denke dass das mit einer Lisp einfacher wäre, wie die T-Einzapfung die ich schon habe.

LG KArl


Damit, wie man das händisch konstruiert, kann man bei der Programmierung meist nix oder nur wenig anfangen. Du musst das mathematisch lösen.

Da es sich hierbei um recht triviale geometrische Körper handelt (Zylinder und Torus im Raum), gibt es auch eine relativ einfache mathematische Lösung: Du brauchst nur die Menge der Punkte zu errechnen, die auf beiden Körpern liegen. Die Gleichung eines Zylinders und die Gleichung eines Torus findest Du durch Googeln im Netz. Setze beide gleich, und Du erhältst die Lösungsgleichung(en) für die "Verzapfungskurve(n)". Welche der bis zu vier Lösungsgleichungen die richtige ist, findest Du beispielsweise durch Abstandsmessung der Durchstoßpunkte der Mittellinie des Zylinders durch den Torus.

Für so ein Programm sollte ein Lisp-Programmierer Dir gut und gerne 200 Euro berechnen können. Ich bin hier aber kein Anbieter.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bixi1973
Mitglied
techn. angestellter


Sehen Sie sich das Profil von bixi1973 an!   Senden Sie eine Private Message an bixi1973  Schreiben Sie einen Gästebucheintrag für bixi1973

Beiträge: 72
Registriert: 07.09.2011

Windows 7 64 bit
Windows 7 32 bit
ACAD 2013
ACAD Mep 2013

erstellt am: 28. Apr. 2015 20:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Archtools für die Info des mathematischen Lösungsansatzes.
Werd mich mal schlau machen, was ich da in Erfahrung bringe und ob ich deine Vorgehensweise umsetzen kann.

Lg Karl

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz